[jscore] Add support for building against QtWebKit
[browser-dbus-bridge.git] / jscorebus.mk
1 NAME := jscorebus
2 VERSION := 1.1
3 SOURCES := $(wildcard jscorebus/*.c)
4 CFLAGS := -ggdb -DDEBUG
5 PKGS := dbus-1 dbus-glib-1 webkit-1.0
6
7 INCDIR := $(DESTDIR)/$(PREFIX)/include/$(NAME)
8 PCDIR := $(DESTDIR)/$(PREFIX)/lib/pkgconfig
9
10 include build/library.mk
11
12 install::
13 ifneq ($(wildcard $(O_LIBRARY)),)
14         install -d $(INCDIR) $(PCDIR)
15         install -m 0644 jscorebus/jscorebus.h $(INCDIR)
16         install -m 0644 jscorebus/jscorebus.pc.in $(PCDIR)/$(NAME).pc
17         sed -i s,@PREFIX@,$(PREFIX), $(PCDIR)/$(NAME).pc
18         sed -i s,@VERSION@,$(VERSION), $(PCDIR)/$(NAME).pc
19         sed -i 's,@REQUIRES@,$(PKGS),' $(PCDIR)/$(NAME).pc
20         sed -i s,@NAME@,$(NAME), $(PCDIR)/$(NAME).pc
21 else
22         @echo JSCoreBus for WebKitGTK+ has not been built, not installing
23 endif